К списку форумов К списку тем
Регистрация    Правила    Главная форума    Поиск   
Имя: Пароль:
Рекомендовать в новости

Сервер 1с не той версии.

0 - 25.12.2020 - 18:24
в январе установлен сервер 1с 32х разрядный 8.3.16.1063
в августе сервер 1с проапгрейдили до 64х. Установили (без удаления 32х). На тот момент вроде стало лучше и надежнее (ОЗУ 32Гб), но детали не помню.
Сегодня установили 64х 8.3.17.1851.
В локальных базах - новая платформа. В серверных - старая 16.1063
И никак. Хотя бухгалтерия при обновлении требует повысить платформу.
Неоднократно удалял и устанавливал новую платформу, не помогло.
В службах вижу одновременно агент сервера 16.1063 32х и 17.1851 64х.
При старте пытаются запуститься оба. Потом 17.1851 останавливается, 16.1063 - работает. Соотвественно серверные базы под 16.1063.
Если вручную остановить 16.1063 32х и запустить 17.1851 64х, новый не останавливается, работает, но базы не запускаются (после долгого ожидания - ошибка).
Остается вариант снести полностью 16.1063 32х и 64х
Пока боюсь, что вообще перестанет работать.
Может есть советы?



1 - 25.12.2020 - 18:41
Если один сервер не видит базы другого, это значит, что у них в разные служебные каталоги. По умолчанию это ПапкаПрофиля\AppData\Local\1C\1cv8\reg_1541\
Если службы запущены под разными пользователями, то, соответственно, служебные каталоги лежат в разных местах.
Ещё некоторые выносят эти папки из профиля на отдельный диск.
Но 1с при установки постоянно пытается поменять этот путь на путь по умолчанию.
А вообще, лучше снести все версии, перезагрузиться и установить нужную, и по новой прописать базы.
2 - 26.12.2020 - 22:13
все телодвижения делаются под администратором.
службы запущена как сервисы под администратором.
все папки по умолчанию. базы были созданы в sql. удаление версий на базы никак не повлияет.
еще раз. новая версия установлена, но вместо этого запускается старая. при установке в первый раз летом 64х прошло новое лицензирования (1 комплект пин кодов). Так как лицензирование прошло, то был полностью уверен, что работает 64х. Сейчас, после установки 64х 8.3.17, в диспетчере я вижу работающий агент сервера 32х 8.3.16. А агент 8.3.17 в списке есть, сначала запускается, потом останавливается. И при входе в базу я вижу платформу 8.3.16 (18 платформу тоже пробовал, результат тот же). Как только более менее закроют зарплату, буду пробовать удалять платформы 8.3.16 3х и 64х и после этого ставить 8.3.17 64х.
Если других советов нет. (активно используется 2 базы, бух до 15 пользователей и ЗП до 2 пользователей. Как раз для бух потребовалось обновить платформу, что делаю очень редко)
3 - 27.12.2020 - 12:02
Цитата:
Сообщение от older Посмотреть сообщение
службы запущена как сервисы под администратором.
Как определили?
Цитата:
Сообщение от older Посмотреть сообщение
все папки по умолчанию.
Как определили?
Цитата:
Сообщение от older Посмотреть сообщение
базы были созданы в sql.
Причём здесь sql? Речь о сервере 1С.
Цитата:
Сообщение от older Посмотреть сообщение
удаление версий на базы никак не повлияет.
Конечно не повлияет. Они как были, так и останутся. Просто могут исчезнуть из списка подключенных и в результате будет следующие:
Цитата:
Сообщение от older Посмотреть сообщение
но базы не запускаются (после долгого ожидания - ошибка)

Повторяю, сносите весь этот зоопарк. И устанавливайте ОДНУ нужную версию. Если базы не появятся в консоли администрирования сервера 1с, то просто пропишите их заново.
4 - 27.12.2020 - 17:38
ппц.... до чего деградируют программисты.... ОСТАНОВИ ненужный агент сервера и режим запуска поставь "вручную"... потом разбирайся с установленными версиями.
5 - 28.12.2020 - 09:53
Перым делом удалить 32 бит версию. Перезагрузить.
Как ставить 2 платформы - есть много статей, по разным портам и разным папкам.
Но это вам не нужно. Зачем ставить 17 платформу ? Ставьте одну 18ю. Давно сидим на 8.3.16.1148
6 - 28.12.2020 - 09:57
(4) останавливал "ненужный", но новый все равно не пашет, так что "ненужный" оставил пока все работают. скорее всего буду удалять старые версии после НГ. Пусть уже дорабатываю этот год без обновлений. Если начнутся проблемы, обязательно напишу и буду просить помощи )).
7 - 28.12.2020 - 09:59
(5), да, согласен, буду ставить 18ю, чтобы реже менять платформу
8 - 28.12.2020 - 11:07
Пригласите специалиста до н.г.
9 - 28.12.2020 - 14:04
БП 3.0.87.22, 3.0.86.19 требует платформу 8.3.18.1208, придётся скоро ставить
10 - 28.12.2020 - 14:19
Цитата:
Сообщение от Jimbo Посмотреть сообщение
БП 3.0.87.22, 3.0.86.19 требует платформу 8.3.18.1208, придётся скоро ставить
"Текущая версия конфигурации предназначена для использования с версией технологической платформы 1С:Предприятие 8 не ниже 8.3.15.2107, 8.3.16.1814, 8.3.17.1851, 8.3.18.1208. "
т.ч. и на 15-оей еще можно сидеть.
11 - 28.12.2020 - 15:27
и БП и зарплата потребовали 8.3.16.1814, моя 8.3.16.1063 не подходит, а предыдущие у меня были 32х. Так что обновление нужно, может и не срочно, обновления конфигураций не критические, спешить со специалистом до н.г. пока не вижу смысла (тем более если специалист только снесет старую платформу и поставит новую). Если уже и после сноса всех старых что то не заладится, придется обращаться...
12 - 29.12.2020 - 15:52
6-older > ну я же и говорю.... деградируют. там 2 минуты разобраться что, как и из какого места стартует.
13 - 04.01.2021 - 18:12
Потрачено много времени, платформы сносились, устанавливались, результат все был все тот же. Пока не заметил, что 32х платформы ставятся без проблем и rphost есть в диспетчере. При установке 64х rphost не запускался. хоть 16 версия платформы, хоть 17, хоть 18. Это навело на мысль запускать установщик платформы под администратором. Все заработало. Проблема решена. Часть подсказок по rphost была в интернете. Пока установил 17 платформу, так как у всех клиентов уже установлена 17я. Будет желание и время, махну на 18ю
С новым годом всех!
14 - 12.01.2021 - 10:21
Цитата:
Сообщение от older Посмотреть сообщение
запускать установщик платформы под администратором
Вот мне интересно, а много-ли программ (не 1С) вы устанавливали на комп, прежде чем до этого дошли самостоятельно?
Просто это само сабой разумеющееся.
15 - 14.01.2021 - 14:53
14. Если интересно, то десятки тысяч программ с 1987 года, и компьютеров около 1000 собрал когда то. 1с постоянно устанавливал не под администратором и все работало. Кто ж знал, что для 64х другие правила. Но главное, что заработало.
16 - 14.01.2021 - 15:35
Цитата:
Сообщение от older Посмотреть сообщение
постоянно устанавливал не под администратором и все работало
Это, наверное, ты вспомнил про Win-95
17 - 14.01.2021 - 16:02
Цитата:
Сообщение от Шухер Посмотреть сообщение
Цитата: Сообщение от older постоянно устанавливал не под администратором и все работало Это, наверное, ты вспомнил про Win-95
Не обязательно, часть прог, не требующих доступа к системным разделам и папкам, действительно могут установиться под конкретным пользователем. Тот же Я-браузер или Амиго.
Но тут, скорее всего, Пользователь не Администратор, а User с правами админа. Ничо не соврамши, действительно не под Администратором же. :0)))
18 - 19.01.2021 - 05:43
Цитата:
Сообщение от Шико Посмотреть сообщение
Тот же Я-браузер или Амиго
Неужели кто-то еще устанавливает ЭТО???
19 - 19.01.2021 - 07:51
Цитата:
Сообщение от Грей Сашенька Посмотреть сообщение
Неужели кто-то еще устанавливает ЭТО???
Тут устанавливают 8.3.18.1208 (перешёл недавно для БП3, Erp требовалось, УПП ругнулось на кусок ретро-говно-кода в выполнить с метками), хотя уже 1289 вышла - кто разницу ощутил ?
20 - 19.01.2021 - 14:10
Цитата:
Сообщение от Jimbo Посмотреть сообщение
Тут устанавливают 8.3.18.1208 (перешёл недавно для БП3, Erp требовалось, УПП ругнулось на кусок ретро-говно-кода в выполнить с метками), хотя уже 1289 вышла - кто разницу ощутил ?
Ставь 1289. На 1208 косяк с файловыми базами - отчёты о-о-очень медленно формируются, проблемы в соединениях таблиц по неиндексруемым полям. В 1289 поправили.
21 - 21.01.2021 - 09:31
Файловые ж для баловства, 1208 несколько дней полёт нормальный.
22 - 22.01.2021 - 09:45
клиент-сервер 1208 с конца декабря, все норм...
Uho
23 - 22.01.2021 - 13:33
20-Billi > веб-клиент в 1289 сломали. При выводе любого табличного документа ошибка.


К списку вопросов
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск




Copyright ©, Все права защищены